Advertisement:

Author Topic: Why (or should I) move to 2.0  (Read 3776 times)

Offline sck

  • Semi-Newbie
  • *
  • Posts: 89
Why (or should I) move to 2.0
« on: February 08, 2013, 03:15:00 PM »
I have a forum that is running great on 1.7 (whatever the current release is)  I have very few issues and it is set up the way I want it.  That said, is it worth the effort (I assume a great deal of effort) to move to 2.?.   I would guess that I would have to upgrade then find the mods I need to install then a theme,...... 

I guess my question is "is there enough of a reason to move or is it not as hard as I think it will be"  Understand, I can't code so anything I do has to be "automatic install"

Please give me some guidance.

thanks

Offline Arantor

  • Resident Overthinker
  • SMF Friend
  • SMF Legend
  • *
  • Posts: 71,392
    • StoryBB/StoryBB on GitHub
Re: Why (or should I) move to 2.0
« Reply #1 on: February 08, 2013, 03:20:16 PM »
The current 1.1.x release is 1.1.18.

To upgrade to 2.0 you will require changing your theme and mods as all mods and themes need substantial overhaul to cope with all the changes in 2.0.

As for whether you should... it comes down to these things:

1. Are the mods you want/need/use available on 2.0?
2. Are there new features in 2.0 you would use? (Paid subscriptions, post moderation, warning system come to mind)
3. Is there a suitable theme for 2.0 for your site?

There are plenty of mod developers only writing mods for 2.0 only now.

There will come a time when 1.1.x will no longer be maintained and will not receive security patches. It is likely this time will come in the next year; it will likely coincide with 2.1's release.

The upgrade will be able to keep all your members and posts, it just won't keep your modifications and themes.
Don’t try to tell me that some power can corrupt a person. You haven’t had enough to know what it’s like.

No good deed goes unpunished / No act of charity goes unresented.

Online Antechinus

  • SMF Friend
  • SMF Super Hero
  • *
  • Posts: 24,469
  • Master of BBC Abuse
Re: Why (or should I) move to 2.0
« Reply #2 on: February 08, 2013, 03:41:37 PM »
sck, I'm still on 1.1.x. :D

Offline sck

  • Semi-Newbie
  • *
  • Posts: 89
Re: Why (or should I) move to 2.0
« Reply #3 on: February 08, 2013, 06:46:56 PM »
sck, I'm still on 1.1.x. :D

Why?  Just trying to understand so I can decide. 

MrPhil

  • Guest
Re: Why (or should I) move to 2.0
« Reply #4 on: February 08, 2013, 07:34:36 PM »
Those who choose to stay on 1.x will find fewer and fewer new (or updated) mods. While official security patches will continue for a while, 1.1.x will reach EOL long before 2.0.x will (and 1.0.x is already unsupported). Fewer and fewer people in this community will be able to (or be interested in) supporting 1.x. If your existing forum is not heavily modified, you'd probably be better off moving to 2.0.

Offline stylusss

  • Jr. Member
  • **
  • Posts: 350
Re: Why (or should I) move to 2.0
« Reply #5 on: February 08, 2013, 08:14:57 PM »
sck, I'm still on 1.1.x. :D

You've got an incredible looking theme! I, too, am using 1.x, and not by choice. Spent hundreds and hundreds of dollars customizing it, and not to mention the man hours. For those reasons alone, it is here to stay. Otherwise, I would move to a more powerful forum software, rather than switch to 2.x and start over.
For top-notch server quality and expertise, visit CoreISP.net

Online Antechinus

  • SMF Friend
  • SMF Super Hero
  • *
  • Posts: 24,469
  • Master of BBC Abuse
Re: Why (or should I) move to 2.0
« Reply #6 on: February 09, 2013, 05:32:42 AM »
Why?  Just trying to understand so I can decide.
Because the 1.1.x has been so heavily re-written that it's pretty much irrelevant. When 2.0.x was released, I weighed up what I would gain from the change and the amount of work that I would have to put in to get it the way I want it. I decided it wasn't worth my while, because some of the new features in 2.0.x didn't interest me at all (subsrciptions, custom fields, etc) and some of the features I regarded as essential were already installed as 1.1.x mods that weren't available as 2.0.x mods.


You've got an incredible looking theme!
Thanks. I like it. Still a little bit WIP on some layout variants, but basically sorted. I think it's my best yet.